﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) DC Microamps VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) DC Milliamps VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) DC Amps VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) AC Microamps VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) AC Milliamps VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) AC Amps VER RS-232 /5502
DATE:                  2017-02-14 12:48:03
AUTHOR:                Fluke
REVISION:              $Revision: 18291 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       254
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        - Meterman 38SW SERIAL CABLE
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DC_MICROAMPS                 PSUB("DC Microamps")
  1.002  JMPL         DC_MILLIAMPS                 PSUB("DC Milliamps")
  1.003  JMPL         DC_AMPS                      PSUB("DC Amps")
  1.004  JMPL         AC_MICROAMPS                 PSUB("AC Microamps")
  1.005  JMPL         AC_MILLIAMPS                 PSUB("AC Milliamps")
  1.006  JMPL         AC_AMPS                      PSUB("AC Amps")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) DC Microamps VER RS-232 /5502  ==============

  2.001  LABEL        DC_MICROAMPS
  2.002  RSLT         =
  2.003  HEAD         {DC CURRENT}
  2.004  RSLT         =
  2.005  HEAD         -2{100 µA Range}
  2.006  MATH         @Function = "uADC"
  2.007  TARGET       -p
  2.008  PIC          5520_38XR_mA_2w
  2.009  CALL         Sub Meterman 38XR Check Function RS-232
  2.010  5502E        +Current = 90.00 uA; CurrentTerminal = Aux
  2.011  WAIT         [D1000]
  2.012  TARGET       -m
  2.013  CALL         Sub Meterman 38XR Get Reading RS-232
  2.014  MATH         MEM = MEM / 1E-6
  2.015  MEMCX  100   90.00uA        0.5% 0.10U

  3.001  RSLT         =
  3.002  HEAD         -2{1000 µA Range}
  3.003  TARGET       -p
  3.004  5502E        +Current = 900.0 uA; CurrentTerminal = Aux
  3.005  WAIT         [D1000]
  3.006  TARGET       -m
  3.007  CALL         Sub Meterman 38XR Get Reading RS-232
  3.008  MATH         MEM = MEM / 1E-6
  3.009  MEMCX  1000  900.0uA        0.5% 0.5U

  4.001  HEAD         -2
  4.002  HEAD
  4.003  5502E        Standby
  4.004  END

  4.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) DC Milliamps VER RS-232 /5502  ==============

  5.001  LABEL        DC_MILLIAMPS
  5.002  RSLT         =
  5.003  HEAD         -2{10 mA Range}
  5.004  MATH         @Function = "mADC"
  5.005  TARGET       -p
  5.006  CALL         Sub Meterman 38XR Check Function RS-232
  5.007  5502E        +Current = 9.000 mA; CurrentTerminal = Aux
  5.008  WAIT         [D1000]
  5.009  TARGET       -m
  5.010  CALL         Sub Meterman 38XR Get Reading RS-232
  5.011  MATH         MEM = MEM / 1E-3
  5.012  MEMCX  10    9.000mA        0.5% 0.005U

  6.001  RSLT         =
  6.002  HEAD         -2{100 mA Range}
  6.003  TARGET       -p
  6.004  5502E        +Current = 90.00 mA; CurrentTerminal = Aux
  6.005  WAIT         [D1000]
  6.006  TARGET       -m
  6.007  CALL         Sub Meterman 38XR Get Reading RS-232
  6.008  MATH         MEM = MEM / 1E-3
  6.009  MEMCX  100   90.00mA        0.5% 0.05U

  7.001  RSLT         =
  7.002  HEAD         -2{400 mA Range}
  7.003  TARGET       -p
  7.004  5502E        +Current = 390.0 mA; CurrentTerminal = Aux
  7.005  WAIT         [D1000]
  7.006  TARGET       -m
  7.007  CALL         Sub Meterman 38XR Get Reading RS-232
  7.008  MATH         MEM = MEM / 1E-3
  7.009  MEMCX  400   390.0mA        0.5% 0.5U

  8.001  HEAD         -2
  8.002  HEAD
  8.003  5502E        Standby
  8.004  END

  8.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) DC Amps VER RS-232 /5502  ===================

  9.001  LABEL        DC_AMPS
  9.002  RSLT         =
  9.003  HEAD         -2{10 A Range}
  9.004  MATH         @Function = "10ADC"
  9.005  TARGET       -p
  9.006  CALL         Sub Meterman 38XR Check Function RS-232
  9.007  PIC          5520_38XR_10A_2w
  9.008  5502E        +Current = 9.000 A; CurrentTerminal = 20A
  9.009  TARGET       -m
  9.010  WAIT         [D1000]
  9.011  CALL         Sub Meterman 38XR Get Reading RS-232
  9.012  MEMCX  10    9.000A         1.5% 0.010U

 10.001  HEAD         -2
 10.002  HEAD
 10.003  5502E        Standby
 10.004  END

 10.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) AC Microamps VER /5502  =====================

 11.001  LABEL        AC_MICROAMPS
 11.002  RSLT         =
 11.003  HEAD         {AC CURRENT}
 11.004  RSLT         =
 11.005  HEAD         -2{100 µA Range}
 11.006  TARGET       -p
 11.007  MATH         @Function = "uAAC"
 11.008  CALL         Sub Meterman 38XR Check Function RS-232
 11.009  5502E        CurrentTerminal = Aux
 11.009  5502E        +Current = 90.00 uA; Frequency = 1 kHz
 11.010  WAIT         -t 3 System settling...
 11.011  TARGET       -m
 11.012  CALL         Sub Meterman 38XR Get Reading RS-232
 11.013  MATH         MEM = MEM / 1E-6
 11.014  MEMCX  100   90.00uA        1.5% 0.20U    1kHz

 12.001  RSLT         =
 12.002  HEAD         -2{1000 µA Range}
 12.003  TARGET       -p
 12.004  5502E        CurrentTerminal = Aux
 12.004  5502E        +Current = 900.0 uA; Frequency = 50 Hz
 12.005  WAIT         -t 3 System settling...
 12.006  TARGET       -m
 12.007  CALL         Sub Meterman 38XR Get Reading RS-232
 12.008  MATH         MEM = MEM / 1E-6
 12.009  MEMCX  1000  900.0uA        1.5% 2.0U     50Hz

 13.001  HEAD         -2
 13.002  HEAD
 13.003  5502E        Standby
 13.004  END

 13.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) AC Milliamps VER RS-232 /5502  ==============

 14.001  LABEL        AC_MILLIAMPS
 14.002  HEAD         AC CURRENT
 14.003  RSLT         =
 14.004  HEAD         -2{10 mA Range}
 14.005  MATH         @Function = "mAAC"
 14.006  TARGET       -p
 14.007  CALL         Sub Meterman 38XR Check Function RS-232
 14.008  5502E        CurrentTerminal = Aux
 14.008  5502E        +Current = 9.000 mA; Frequency = 1 kHz
 14.009  WAIT         -t 3 System settling...
 14.010  TARGET       -m
 14.011  CALL         Sub Meterman 38XR Get Reading RS-232
 14.012  MATH         MEM = MEM / 1E-3
 14.013  MEMCX  10    9.000mA        1.5% 0.020U   1kH

 15.001  RSLT         =
 15.002  HEAD         -2{100 mA Range}
 15.003  TARGET       -p
 15.004  5502E        CurrentTerminal = Aux
 15.004  5502E        +Current = 90.00 mA; Frequency = 50 Hz
 15.005  WAIT         -t 4 System settling...
 15.006  TARGET       -m
 15.007  CALL         Sub Meterman 38XR Get Reading RS-232
 15.008  MATH         MEM = MEM / 1E-3
 15.009  MEMCX  100   90.00mA        1.5% 0.20U    50H

 16.001  RSLT         =
 16.002  HEAD         -2{400 mA Range}
 16.003  TARGET       -p
 16.004  5502E        CurrentTerminal = Aux
 16.004  5502E        +Current = 390.0 mA; Frequency = 1 kHz
 16.005  WAIT         -t 4 System settling...
 16.006  TARGET       -m
 16.007  CALL         Sub Meterman 38XR Get Reading RS-232
 16.008  MATH         MEM = MEM / 1E-3
 16.009  MEMCX  400   390.0mA        2.0% 1.0U     1kH

 17.001  HEAD         -2
 17.002  HEAD
 17.003  5502E        Standby
 17.004  END

 17.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) AC Amps VER RS-232 /5502  ===================

 18.001  LABEL        AC_AMPS
 18.002  HEAD         AC CURRENT
 18.003  RSLT         =
 18.004  HEAD         -2{10 A Range}
 18.005  MATH         @Function = "10AAC"
 18.006  TARGET       -p
 18.007  CALL         Sub Meterman 38XR Check Function RS-232
 18.008  5502E        CurrentTerminal = 20A
 18.008  5502E        +Current = 9.000 A; Frequency = 50 Hz
 18.009  WAIT         -t 6 System settling...
 18.010  TARGET       -m
 18.011  CALL         Sub Meterman 38XR Get Reading RS-232
 18.012  MEMCX  10    9.000A         2.5% 0.020U   50H

 19.001  HEAD         -2
 19.002  HEAD
 19.003  5502E        Standby
 19.004  END
