﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) DC Voltage VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) AC Voltage VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) Resistance VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) Diode Test VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) Duty Cycle VER RS-232 /5502
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) Frequency VER RS-232 /5502
DATE:                  2017-02-14 12:37:45
AUTHOR:                Fluke
REVISION:              $Revision: 18291 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       46
NUMBER OF LINES:       533
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        - Meterman 38SW SERIAL CABLE
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DC_VOLTAGE                   PSUB("DC Voltage")
  1.002  JMPL         AC_VOLTAGE                   PSUB("AC Voltage")
  1.003  JMPL         RESISTANCE                   PSUB("Resistance")
  1.004  JMPL         DIODE_TEST                   PSUB("Diode Test")
  1.005  JMPL         DUTY_CYCLE                   PSUB("Duty Cycle")
  1.006  JMPL         FREQUENCY                    PSUB("Frequency")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) DC Voltage VER RS-232 /5502  ================

  2.001  LABEL        DC_VOLTAGE
  2.002  RSLT         =
  2.003  HEAD         {DC VOLTAGE}
  2.004  RSLT         =
  2.005  HEAD         -2{1000 mV Range}
  2.006  MATH         @Function = "VDC"
  2.007  TARGET       -p
  2.008  CALL         Sub Meterman 38XR Check Function RS-232
  2.009  5502E        +Voltage = 0.0 mV
  2.010  WAIT         [D1000]
  2.011  TARGET       -m
  2.012  CALL         Sub Meterman 38XR Get Reading RS-232
  2.013  MATH         MEM = MEM / 1E-3
  2.014  MEMCX  1000  0.0mV          0.25% 0.5U

  3.001  5502E        +Voltage = 900.0 mV
  3.002  WAIT         [D1000]
  3.003  TARGET       -m
  3.004  CALL         Sub Meterman 38XR Get Reading RS-232
  3.005  MATH         MEM = MEM / 1E-3
  3.006  MEMCX  1000  900.0mV        0.25% 0.5U

  4.001  5502E        +Voltage = -900.0 mV
  4.002  WAIT         [D1000]
  4.003  TARGET       -m
  4.004  CALL         Sub Meterman 38XR Get Reading RS-232
  4.005  MATH         MEM = MEM / 1E-3
  4.006  MEMCX  1000  -900.0mV       0.25% 0.5U

  5.001  RSLT         =
  5.002  HEAD         -2{10 V Range}
  5.003  TARGET       -p
  5.004  5502E        +Voltage = 9.000 V
  5.005  WAIT         [D1000]
  5.006  TARGET       -m
  5.007  CALL         Sub Meterman 38XR Get Reading RS-232
  5.008  MEMCX  10    9.000V         0.25% 0.005U

  6.001  RSLT         =
  6.002  HEAD         -2{100 V Range}
  6.003  TARGET       -p
  6.004  5502E        +Voltage = 90.00 V
  6.005  WAIT         [D1000]
  6.006  TARGET       -m
  6.007  CALL         Sub Meterman 38XR Get Reading RS-232
  6.008  MEMCX  100   90.00V         0.25% 0.05U

  7.001  RSLT         =
  7.002  HEAD         -2{1000 V Range}
  7.003  TARGET       -p
  7.004  5502E        +Voltage = 975.0 V
  7.005  WAIT         [D1000]
  7.006  TARGET       -m
  7.007  CALL         Sub Meterman 38XR Get Reading RS-232
  7.008  MEMCX  1000  975.0V         0.25% 0.5U

  8.001  5502E        +Voltage = -975.0 V
  8.002  WAIT         [D1000]
  8.003  TARGET       -m
  8.004  CALL         Sub Meterman 38XR Get Reading RS-232
  8.005  MEMCX  1000  -975.0V        0.25% 0.5U

  9.001  5502E        Standby

  9.002  RSLT         =
  9.003  HEAD         {AC+DC VOLTAGE}
  9.004  MATH         @Function = "VAC+DC"
  9.005  RSLT         =
  9.006  HEAD         -2{10 V Range}
  9.007  TARGET       -p
  9.008  CALL         Sub Meterman 38XR Check Function RS-232
  9.009  5502E        +Voltage = 1.100 V
  9.010  WAIT         -t 3 System settling...
  9.011  TARGET       -m
  9.012  CALL         Sub Meterman 38XR Get Reading RS-232
  9.013  MEMCX  10    1.100V         1.5% 0.010U

 10.001  RSLT         =
 10.002  HEAD         -2{100 V Range}
 10.003  TARGET       -p
 10.004  5502E        +Voltage = 25.00 V; Frequency = 1 kHz
 10.005  WAIT         -t 3 System settling...
 10.006  TARGET       -m
 10.007  CALL         Sub Meterman 38XR Get Reading RS-232
 10.008  MEMCX  100   25.00V         2.5% 0.10U    1kH

 11.001  HEAD         -2
 11.002  HEAD
 11.003  5502E        Standby
 11.004  END

 11.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) AC Voltage VER RS-232 /5502  ================

 12.001  LABEL        AC_VOLTAGE
 12.002  RSLT         =
 12.003  HEAD         {AC VOLTAGE}
 12.004  MATH         @Function = "VAC"
 12.005  RSLT         =
 12.006  HEAD         -2{1000 mV Range}
 12.007  TARGET       -p
 12.008  CALL         Sub Meterman 38XR Check Function RS-232
 12.009  5502E        +Voltage = 0.0 mV
 12.010  WAIT         -t 3 System settling...
 12.011  TARGET       -m
 12.012  CALL         Sub Meterman 38XR Get Reading RS-232
 12.013  MATH         MEM = MEM / 1E-3
 12.014  MEMCX  1000  0.0mV          1.2% 1.0U     100Hz

 13.001  5502E        +Voltage = 100.0 mV; Frequency = 50 Hz
 13.002  WAIT         -t 3 System settling...
 13.003  TARGET       -m
 13.004  CALL         Sub Meterman 38XR Get Reading RS-232
 13.005  MATH         MEM = MEM / 1E-3
 13.006  MEMCX  1000  100.0mV        1.2% 1.0U     50Hz

 14.001  5502E        +Voltage = 900.0 mV; Frequency = 2 kHz
 14.002  WAIT         -t 3 System settling...
 14.003  TARGET       -m
 14.004  CALL         Sub Meterman 38XR Get Reading RS-232
 14.005  MATH         MEM = MEM / 1E-3
 14.006  MEMCX  1000  900.0mV        2% 1.0U       2kHz

 15.001  RSLT         =
 15.002  HEAD         -2{10 V Range}
 15.003  TARGET       -p
 15.004  5502E        +Voltage = 9.000 V; Frequency = 50 Hz
 15.005  WAIT         -t 3 System settling...
 15.006  TARGET       -m
 15.007  CALL         Sub Meterman 38XR Get Reading RS-232
 15.008  MEMCX  10    9.000V         1.2% 0.010U   50Hz

 16.001  RSLT         =
 16.002  HEAD         -2{100 V Range}
 16.003  TARGET       -p
 16.004  5502E        +Voltage = 65.00 V; Frequency = 1 kHz
 16.005  WAIT         -t 3 System settling...
 16.006  TARGET       -m
 16.007  CALL         Sub Meterman 38XR Get Reading RS-232
 16.008  MEMCX  100   65.00V         2% 0.10U      1kHz

 17.001  RSLT         =
 17.002  HEAD         -2{(Peak Hold)}
 17.003  TARGET       -p
 17.004  5502E        +Voltage = 91.91 Vp; Frequency = 1 kHz

 17.005  DO
 17.006  DISP         Press and hold the PEAK ± button until the DUT beeps;
 17.006  DISP         "CAL" will be displayed for ~1 second then disappear.
 17.006  DISP
 17.006  DISP         Momentarily press the DUT PEAK ± button until "P+"
 17.006  DISP         appears on the display.
 17.007  CALL         Sub Meterman 38XR Check Function RS-232
 17.008  UNTIL        ZCMP(@Peak, "P+")

 17.009  WAIT         -t 3 System settling...
 17.010  TARGET       -m
 17.011  CALL         Sub Meterman 38XR Get Reading RS-232
 17.012  MEMCX  100   +91.91Vp       3% 2.00U      1kHz

 18.001  5502E        +Voltage = -91.91 Vp; Frequency = 1 kHz

 18.002  DO
 18.003  DISP         Momentarily press the DUT PEAK ± button until "P-"
 18.003  DISP         appears on the display.
 18.004  CALL         Sub Meterman 38XR Check Function RS-232
 18.005  UNTIL        ZCMPI(@Peak, "P-")

 18.006  WAIT         -t 3 System settling...
 18.007  TARGET       -m
 18.008  CALL         Sub Meterman 38XR Get Reading RS-232
 18.009  MEMCX  100   -91.91Vp       3% 2.00U      1kHz

 19.001  5502E        Standby

 19.002  DO
 19.003  DISP         Press and hold the PEAK ± button until the DUT beeps,
 19.003  DISP         exiting the Peak Hold function. ("P-" will disappear
 19.003  DISP         from the DUT display.)
 19.004  CALL         Sub Meterman 38XR Check Function RS-232
 19.005  UNTIL        ZCMPI(@Peak, "Off")

 19.006  RSLT         =
 19.007  HEAD         -2{750 V Range}
 19.008  TARGET       -p
 19.009  5502E        +Voltage = 500.0 V; Frequency = 500 Hz
 19.010  WAIT         -t 4 System settling...
 19.011  TARGET       -m
 19.012  CALL         Sub Meterman 38XR Get Reading RS-232
 19.013  MEMCX  750   500.0V         2% 1.0U       500Hz

 20.001  RSLT         =
 20.002  HEAD         -2{(Peak Hold)}
 20.003  TARGET       -p
 20.004  5502E        +Voltage = 707.0 Vp; Frequency = 500 Hz

 20.005  DO
 20.006  DISP         Press and hold the PEAK ± button until the DUT beeps;
 20.006  DISP         "CAL" will be displayed for ~1 second then disappear.
 20.006  DISP
 20.006  DISP         Momentarily press the DUT PEAK ± button until "P+"
 20.006  DISP         appears on the display.
 20.007  CALL         Sub Meterman 38XR Check Function RS-232
 20.008  UNTIL        ZCMP(@Peak, "P+")

 20.009  WAIT         -t 4 System settling...
 20.010  TARGET       -m
 20.011  CALL         Sub Meterman 38XR Get Reading RS-232
 20.012  MEMCX  750   +707.0Vp       3% 20.0U      500Hz

 21.001  5502E        +Voltage = -707.0 Vp; Frequency = 500 Hz

 21.002  DO
 21.003  DISP         Momentarily press the DUT PEAK ± button until "P-"
 21.003  DISP         appears on the display.
 21.004  CALL         Sub Meterman 38XR Check Function RS-232
 21.005  UNTIL        ZCMPI(@Peak, "P-")

 21.006  WAIT         -t 4 System settling...
 21.007  TARGET       -m
 21.008  CALL         Sub Meterman 38XR Get Reading RS-232
 21.009  MEMCX  750   -707.0Vp       3% 20.0U      500Hz

 22.001  5502E        Standby

 22.002  DO
 22.003  DISP         Press and hold the PEAK ± button until the DUT beeps,
 22.003  DISP         exiting the Peak Hold function. ("P-" will disappear
 22.003  DISP         from the display.)
 22.004  CALL         Sub Meterman 38XR Check Function RS-232
 22.005  UNTIL        ZCMPI(@Peak, "Off")

 22.006  RSLT         =
 22.007  HEAD         -2{(Leads Reversed)}
 22.008  TARGET       -p
 22.009  PIC          5520_38XR_V_LeadsReversed_2W
 22.010  5502E        +Voltage = 735.0 V; Frequency = 1 kHz
 22.011  WAIT         -t 5 System settling...
 22.012  TARGET       -m
 22.013  CALL         Sub Meterman 38XR Get Reading RS-232
 22.014  MEMCX  750   735.0V         2% 1.0U       1kHz

 23.001  5502E        Reset

 23.002  RSLT         =
 23.003  HEAD         {dBm}
 23.004  MATH         @Function = "dBm"
 23.005  TARGET       -p
 23.006  CALL         Sub Meterman 38XR Check Function RS-232
 23.007  PIC          5520_38XR_VZFD_2W
 23.008  5502E        +Ampl = 48.00 dBm; Freq = 5 kHz; Impedance = 50 Ohms
 23.009  WAIT         -t 5 System settling...
 23.010  TARGET       -m
 23.011  CALL         Sub Meterman 38XR Get Reading RS-232
 23.012  MEMCX  60    48.00D         0.7U 0.08U    5kH

 24.001  5502E        +Ampl = -0.02 dBm; Freq = 50 Hz; Impedance = 50 Ohms
 24.002  WAIT         -t 5 System settling...
 24.003  TARGET       -m
 24.004  CALL         Sub Meterman 38XR Get Reading RS-232
 24.005  MEMCX  60    -0.02D         0.7U 0.08U    50H

 25.001  5502E        +Ampl = -12.00 dBm; Freq = 10 kHz; Impedance = 50 Ohms
 25.002  WAIT         -t 5 System settling...
 25.003  TARGET       -m
 25.004  CALL         Sub Meterman 38XR Get Reading RS-232
 25.005  MEMCX  60    -12.00D        2.5U 0.08U    10kH

 26.001  HEAD         -2
 26.002  HEAD
 26.003  5502E        Standby
 26.004  END

 26.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) Resistance VER RS-232 /5502  ================

 27.001  LABEL        RESISTANCE
 27.002  RSLT         =
 27.003  HEAD         {RESISTANCE}
 27.004  MATH         @Function = "Ohms"
 27.005  RSLT         =
 27.006  HEAD         -2{1000 Ω Range}
 27.007  TARGET       -p
 27.008  PIC          5520_38XR_Z_4w
 27.009  CALL         Sub Meterman 38XR Check Function RS-232
 27.010  5502E        +Resistance = 900.0 Ohms; LeadCompensation = 2Wire
 27.011  WAIT         -t 5 System settling...
 27.012  TARGET       -m
 27.013  CALL         Sub Meterman 38XR Get Reading RS-232
 27.014  MEMCX  1000  900.0Z         0.5% 0.8U

 28.001  RSLT         =
 28.002  HEAD         -2{10 kΩ Range}
 28.003  TARGET       -p
 28.004  5502E        +Resistance = 9.000 kOhms; LeadCompensation = 2Wire
 28.005  WAIT         -t 3 System settling...
 28.006  TARGET       -m
 28.007  CALL         Sub Meterman 38XR Get Reading RS-232
 28.008  MATH         MEM = MEM / 1E+3
 28.009  MEMCX  10    9.000kZ        0.5% 0.008U

 29.001  RSLT         =
 29.002  HEAD         -2{100 kΩ Range}
 29.003  TARGET       -p
 29.004  5502E        +Resistance = 90.00 kOhms; LeadCompensation = 2Wire
 29.005  WAIT         -t 3 System settling...
 29.006  TARGET       -m
 29.007  CALL         Sub Meterman 38XR Get Reading RS-232
 29.008  MATH         MEM = MEM / 1E+3
 29.009  MEMCX  100   90.00kZ        0.5% 0.08U

 30.001  5502E        Standby

 30.002  RSLT         =
 30.003  HEAD         -2{1000 kΩ Range}
 30.004  TARGET       -p
 30.005  PIC          5520_38XR_VZFD_2w
 30.006  5502E        +Resistance = 900.0 kOhms
 30.007  WAIT         -t 6 System settling...
 30.008  TARGET       -m
 30.009  CALL         Sub Meterman 38XR Get Reading RS-232
 30.010  MATH         MEM = MEM / 1E+3
 30.011  MEMCX  1000  900.0kZ        0.5% 0.8U

 31.001  RSLT         =
 31.002  HEAD         -2{10 MΩ Range}
 31.003  TARGET       -p
 31.004  5502E        +Resistance = 9.000 MOhms
 31.005  WAIT         -t 8 System settling...
 31.006  TARGET       -m
 31.007  CALL         Sub Meterman 38XR Get Reading RS-232
 31.008  MATH         MEM = MEM / 1E+6
 31.009  MEMCX  10    9.000MZ        1% 0.010U

 32.001  RSLT         =
 32.002  HEAD         -2{40 MΩ Range}
 32.003  TARGET       -p
 32.004  5502E        +Resistance = 30.00 MOhms
 32.005  WAIT         -t 10 System settling...
 32.006  TARGET       -m
 32.007  CALL         Sub Meterman 38XR Get Reading RS-232
 32.008  MATH         MEM = MEM / 1E+6
 32.009  MEMCX  40    30.00MZ        2% 0.10U

 33.001  HEAD         -2
 33.002  HEAD
 33.003  5502E        Standby
 33.004  END

 33.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) Diode Test VER RS-232 /5502  ================

 34.001  LABEL        DIODE_TEST
 34.002  RSLT         =
 34.003  HEAD         {DIODE TEST}
 34.004  MATH         @Function = "Diode"
 34.005  TARGET       -p
 34.006  CALL         Sub Meterman 38XR Check Function RS-232
 34.007  5502E        +Voltage = 0.600 V
 34.008  WAIT         -t 3 System settling...
 34.009  TARGET       -m
 34.010  CALL         Sub Meterman 38XR Get Reading RS-232
 34.011  MEMCX        0.600V         1.5% 0.005U

 35.001  HEAD
 35.002  5502E        Standby
 35.003  END

 35.004  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) Duty Cycle VER RS-232 /5502  ================

 36.001  LABEL        DUTY_CYCLE
 36.002  RSLT         =
 36.003  HEAD         {DUTY CYCLE}
 36.004  MATH         @Function = "%"
 36.005  CALL         Sub Meterman 38XR Check Function RS-232
 36.006  TARGET       -p
 36.007  5502E        Waveform = Square; Voltage = 3 Vpp
 36.007  5502E        +DutyCycle = 10.00 %; Frequency = 100 Hz
 36.008  WAIT         -t 6 System settling...
 36.009  TARGET       -m
 36.010  CALL         Sub Meterman 38XR Get Reading RS-232
 36.011  MEMCX        10.00pct       2% 0.20U      100Hz

 37.001  5502E        Waveform = Square; Voltage = 3 Vpp
 37.001  5502E        +DutyCycle = 50.00 %; Frequency = 2 kHz
 37.002  TARGET       -m
 37.003  CALL         Sub Meterman 38XR Get Reading RS-232
 37.004  MEMCX        50.00pct       2% 0.20U      2kHz

 38.001  5502E        Waveform = Square; Voltage = 3 Vpp
 38.001  5502E        +DutyCycle = 90.00 %; Frequency = 10 kHz
 38.002  WAIT         -t 6 System settling...
 38.003  TARGET       -m
 38.004  CALL         Sub Meterman 38XR Get Reading RS-232
 38.005  MEMCX        90.00pct       2% 0.20U      10kHz

 39.001  HEAD         -2
 39.002  HEAD
 39.003  5502E        Standby
 39.004  END

 39.005  EVAL   Increment test number

# =====  Sub 38XR,38XR-A (1 yr) Frequency VER RS-232 /5502  =================

 40.001  LABEL        FREQUENCY
 40.002  RSLT         =
 40.003  HEAD         {FREQUENCY}
 40.004  MATH         @Function = "Hz"
 40.005  RSLT         =
 40.006  HEAD         -2{100 Hz Range}
 40.007  TARGET       -p
 40.008  CALL         Sub Meterman 38XR Check Function RS-232
 40.009  5502E        +Frequency = 60.00 Hz; Voltage = 3.3 V
 40.010  WAIT         -t 3 System settling...
 40.011  TARGET       -m
 40.012  CALL         Sub Meterman 38XR Get Reading RS-232
 40.013  MEMCX  100   60.00H         0.1% 0.05U    3.3V

 41.001  RSLT         =
 41.002  HEAD         -2{1000 Hz Range}
 41.003  TARGET       -p
 41.004  5502E        +Frequency = 900.00 Hz; Voltage = 3.3 V
 41.005  WAIT         -t 3 System settling...
 41.006  TARGET       -m
 41.007  CALL         Sub Meterman 38XR Get Reading RS-232
 41.008  MEMCX  1000  900.0H         0.1% 0.5U     3.3V

 42.001  RSLT         =
 42.002  HEAD         -2{10 kHz Range}
 42.003  TARGET       -p
 42.004  5502E        +Frequency = 9.000 kHz; Voltage = 3.3 V
 42.005  WAIT         -t 3 System settling...
 42.006  TARGET       -m
 42.007  CALL         Sub Meterman 38XR Get Reading RS-232
 42.008  MATH         MEM = MEM / 1E+3
 42.009  MEMCX  10    9.000kHz       0.1% 0.005U   3.3V

 43.001  RSLT         =
 43.002  HEAD         -2{100 kHz Range}
 43.003  TARGET       -p
 43.004  5502E        +Frequency = 90.00 kHz; Voltage = 3.3 V
 43.005  WAIT         -t 3 System settling...
 43.006  TARGET       -m
 43.007  CALL         Sub Meterman 38XR Get Reading RS-232
 43.008  MATH         MEM = MEM / 1E+3
 43.009  MEMCX  100   90.00kHz       0.1% 0.05U    3.3V

 44.001  RSLT         =
 44.002  HEAD         -2{1000 kHz Range}
 44.003  TARGET       -p
 44.004  5502E        +Frequency = 900.0 kHz; Voltage = 3.3 V
 44.005  WAIT         -t 4 System settling...
 44.006  TARGET       -m
 44.007  CALL         Sub Meterman 38XR Get Reading RS-232
 44.008  MATH         MEM = MEM / 1E+3
 44.009  MEMCX  1000  900.0kHz       0.1% 0.5U     3.3V

 45.001  RSLT         =
 45.002  HEAD         -2{10 MHz Range}
 45.003  TARGET       -p
 45.004  5502E        +Frequency = 1.500 MHz; Voltage = 3.3 V
 45.005  WAIT         -t 4 System settling...
 45.006  TARGET       -m
 45.007  CALL         Sub Meterman 38XR Get Reading RS-232
 45.008  MATH         MEM = MEM / 1E+6
 45.009  MEMCX  10    1.500MHz       0.1% 0.005U   5.5V

 46.001  HEAD         -2
 46.002  HEAD
 46.003  5502E        Standby
 46.004  END
