﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub 38XR,38XR-A (1 yr) VER RS-232 /5502,1409
DATE:                  2017-02-14 14:29:52
AUTHOR:                Fluke
REVISION:              $Revision: 18287 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       155
CONFIGURATION:         Fluke 5502E
STANDARD:              GenRad 1409-L
STANDARD:              GenRad 1409-T
STANDARD:              GenRad 1409-Y
STANDARD:              IET 1409-10uF
STANDARD:              IET 1409-100uF
=============================================================================
#
#  Procedure Author:
#        VY
#
#  Source:
#        Meterman 38XR Professional Digital Multimeter, Users Manual,
#        Part No. 1990734, October 2002
#
#  Additional Equipment Required:
#        - Meterman 38SW SERIAL CABLE
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5502E        Reset
  1.003  STD          GenRad 1409-L
  1.004  STD          GenRad 1409-T
  1.005  STD          GenRad 1409-Y
  1.006  STD          IET 1409-10uF
  1.007  STD          IET 1409-100uF
  1.008  ENDIF

  1.009  ASK-   R   Q N              P                            A        V

  1.010  IF           NOT(VERSIONCHECK("8.1.4"))
  1.011  END
  1.012  ENDIF

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  CALL         Sub Display Copyright
  1.015  CALL         Sub High Voltage Safety Warning
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.018  HEAD         TEST CONDITIONS
  1.019  DISP         No specific warm-up time requirement.
  1.019  DISP         Ambient temperature: 18° C - 28° C
  1.019  DISP         Relative humidity: less than 90 %

  1.020  HEAD         INITIAL INFORMATION
  1.021  DISP         Ensure DUT readings have been allowed to settle
  1.021  DISP         prior to proceeding with each test.

  1.022  HEAD         EQUIPMENT REQUIREMENTS
  1.023  OPBR         -z Do you want to review the list of additional
  1.023  OPBR         equipment and/or accessories required?

  1.024  IF           MEM1
  1.025  DISP         The following additional equipment is required:
  1.025  DISP         - Meterman 38SW SERIAL CABLE
  1.026  ENDIF

  1.027  CALL         Sub Meterman 38XR RS-232 Setup

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.028  MATH         CalConf = CONF(@CalDev)

  1.029  DISP         Rotate the DUT function switch from OFF to OHMS.
  1.029  DISP         Press the RS232 button.
  1.030  JMPL         RESISTANCE

  1.031  LABEL        DC_VOLTAGE
  1.032  CALL         Sub 38XR,38XR-A (1 yr) DC Voltage VER RS-232 /5502
  1.033  JMPL         DIODE_TEST

  1.034  LABEL        AC_VOLTAGE
  1.035  CALL         Sub 38XR,38XR-A (1 yr) AC Voltage VER RS-232 /5502
  1.036  JMPL         DC_VOLTAGE

  1.037  LABEL        DC_MICROAMPS
  1.038  CALL         Sub 38XR,38XR-A (1 yr) DC Microamps VER RS-232 /5502
  1.039  JMPL         AC_MICROAMPS

  1.040  LABEL        DC_MILLIAMPS
  1.041  CALL         Sub 38XR,38XR-A (1 yr) DC Milliamps VER RS-232 /5502
  1.042  JMPL         AC_MILLIAMPS

  1.043  LABEL        DC_AMPS
  1.044  CALL         Sub 38XR,38XR-A (1 yr) DC Amps VER RS-232 /5502
  1.045  JMPL         AC_AMPS

  1.046  LABEL        AC_MICROAMPS
  1.047  CALL         Sub 38XR,38XR-A (1 yr) AC Microamps VER RS-232 /5502
  1.048  JMPL         DC_MILLIAMPS

  1.049  LABEL        AC_MILLIAMPS
  1.050  CALL         Sub 38XR,38XR-A (1 yr) AC Milliamps VER RS-232 /5502
  1.051  JMPL         4-20mA

  1.052  LABEL        AC_AMPS
  1.053  CALL         Sub 38XR,38XR-A (1 yr) AC Amps VER RS-232 /5502
  1.054  JMPL         END

  1.055  LABEL        4-20mA
  1.056  CALL         Sub 38XR,38XR-A (1 yr) 4-20 mA VER RS-232 /5502
  1.057  JMPL         DC_AMPS

  1.058  LABEL        CAPACITANCE
  1.059  CALL         Sub 38XR,38XR-A (1 yr) Capacitance VER RS-232 /1409
  1.060  JMPL         DC_MICROAMPS

  1.061  LABEL        RESISTANCE
  1.062  CALL         Sub 38XR,38XR-A (1 yr) Resistance VER RS-232 /5502
  1.063  CALL         Sub 38XR,38XR-A Continuity VER RS-232 /5502
  1.064  JMPL         AC_VOLTAGE

  1.065  LABEL        DIODE_TEST
  1.066  CALL         Sub 38XR,38XR-A (1 yr) Diode Test VER RS-232 /5502
  1.067  JMPL         FREQUENCY

  1.068  LABEL        DUTY_CYCLE
  1.069  CALL         Sub 38XR,38XR-A (1 yr) Duty Cycle VER RS-232 /5502
  1.070  JMPL         CAPACITANCE

  1.071  LABEL        FREQUENCY
  1.072  CALL         Sub 38XR,38XR-A (1 yr) Frequency VER RS-232 /5502
  1.073  JMPL         DUTY_CYCLE

  1.074  LABEL        END
  1.075  END
